diff --git a/libRTI/hla-1_3/RTIambassador.cc b/libRTI/hla-1_3/RTIambassador.cc
index bd3c552d..a3f110ff 100644
--- a/libRTI/hla-1_3/RTIambassador.cc
+++ b/libRTI/hla-1_3/RTIambassador.cc
@@ -2450,11 +1903,7 @@ char* RTI::RTIambassador::getInteractionClassName(InteractionClassHandle theHand
 // Get Parameter Handle
 RTI::ParameterHandle
 RTI::RTIambassador::getParameterHandle(const char* theName,
-                                       InteractionClassHandle whichClass) throw(RTI::InteractionClassNotDefined,
-                                                                                RTI::NameNotFound,
-                                                                                RTI::FederateNotExecutionMember,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::RTIinternalError)
+                                       InteractionClassHandle whichClass)
 {
     M_Get_Parameter_Handle req, rep;
 
@@ -2469,11 +1918,7 @@ RTI::RTIambassador::getParameterHandle(const char* theName,
 // ----------------------------------------------------------------------------
 // Get Parameter Name
 char* RTI::RTIambassador::getParameterName(ParameterHandle theHandle,
-                                           InteractionClassHandle whichClass) throw(RTI::InteractionClassNotDefined,
-                                                                                    RTI::InteractionParameterNotDefined,
-                                                                                    RTI::FederateNotExecutionMember,
-                                                                                    RTI::ConcurrentAccessAttempted,
-                                                                                    RTI::RTIinternalError)
+                                           InteractionClassHandle whichClass)
 {
     M_Get_Parameter_Name req, rep;
 
@@ -2487,8 +1932,7 @@ char* RTI::RTIambassador::getParameterName(ParameterHandle theHandle,
 
 // ----------------------------------------------------------------------------
 // Get Object Instance Handle
-RTI::ObjectHandle RTI::RTIambassador::getObjectInstanceHandle(const char* theName) throw(
-    RTI::RTIinternalError, RTI::ConcurrentAccessAttempted, RTI::FederateNotExecutionMember, RTI::ObjectNotKnown)
+RTI::ObjectHandle RTI::RTIambassador::getObjectInstanceHandle(const char* theName)
 {
     M_Get_Object_Instance_Handle req, rep;
 
@@ -2501,10 +1945,7 @@ RTI::ObjectHandle RTI::RTIambassador::getObjectInstanceHandle(const char* theNam
 
 // ----------------------------------------------------------------------------
 // Get Object Instance Name
-char* RTI::RTIambassador::getObjectInstanceName(ObjectHandle theHandle) throw(RTI::RTIinternalError,
-                                                                              RTI::ConcurrentAccessAttempted,
-                                                                              RTI::FederateNotExecutionMember,
-                                                                              RTI::ObjectNotKnown)
+char* RTI::RTIambassador::getObjectInstanceName(ObjectHandle theHandle)
 {
     M_Get_Object_Instance_Name req, rep;
 
@@ -2519,10 +1960,7 @@ char* RTI::RTIambassador::getObjectInstanceName(ObjectHandle theHandle) throw(RT
 /** Get routing space handle
     \param rs_name Name of the routing space
  */
-RTI::SpaceHandle RTI::RTIambassador::getRoutingSpaceHandle(const char* rs_name) throw(RTI::NameNotFound,
-                                                                                      RTI::FederateNotExecutionMember,
-                                                                                      RTI::ConcurrentAccessAttempted,
-                                                                                      RTI::RTIinternalError)
+RTI::SpaceHandle RTI::RTIambassador::getRoutingSpaceHandle(const char* rs_name)
 {
     Debug(D, pdDebug) << "Get routing space handle: " << rs_name << endl;
     M_Get_Space_Handle req, rep;
@@ -2536,10 +1974,7 @@ RTI::SpaceHandle RTI::RTIambassador::getRoutingSpaceHandle(const char* rs_name)
 /** Get routing space name
     \param handle Handle of the routing space
  */
-char* RTI::RTIambassador::getRoutingSpaceName(SpaceHandle handle) throw(RTI::SpaceNotDefined,
-                                                                        RTI::FederateNotExecutionMember,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::RTIinternalError)
+char* RTI::RTIambassador::getRoutingSpaceName(SpaceHandle handle)
 {
     M_Get_Space_Name req, rep;
 
@@ -2554,11 +1989,7 @@ char* RTI::RTIambassador::getRoutingSpaceName(SpaceHandle handle) throw(RTI::Spa
     \param space The dimension's routing SpaceHandle
  */
 RTI::DimensionHandle RTI::RTIambassador::getDimensionHandle(const char* dimension,
-                                                            SpaceHandle space) throw(RTI::SpaceNotDefined,
-                                                                                     RTI::NameNotFound,
-                                                                                     RTI::FederateNotExecutionMember,
-                                                                                     RTI::ConcurrentAccessAttempted,
-                                                                                     RTI::RTIinternalError)
+                                                            SpaceHandle space)
 {
     M_Get_Dimension_Handle req, rep;
 
@@ -2574,11 +2005,7 @@ RTI::DimensionHandle RTI::RTIambassador::getDimensionHandle(const char* dimensio
     \param space The dimension's routing space handle
  */
 char* RTI::RTIambassador::getDimensionName(DimensionHandle dimension,
-                                           SpaceHandle space) throw(RTI::SpaceNotDefined,
-                                                                    RTI::DimensionNotDefined,
-                                                                    RTI::FederateNotExecutionMember,
-                                                                    RTI::ConcurrentAccessAttempted,
-                                                                    RTI::RTIinternalError)
+                                           SpaceHandle space)
 {
     M_Get_Dimension_Name req, rep;
 
@@ -2595,11 +2022,7 @@ char* RTI::RTIambassador::getDimensionName(DimensionHandle dimension,
     \return The associated routing space handle
  */
 RTI::SpaceHandle RTI::RTIambassador::getAttributeRoutingSpaceHandle(
-    AttributeHandle attribute, ObjectClassHandle object_class) throw(RTI::ObjectClassNotDefined,
-                                                                     RTI::AttributeNotDefined,
-                                                                     RTI::FederateNotExecutionMember,
-                                                                     RTI::ConcurrentAccessAttempted,
-                                                                     RTI::RTIinternalError)
+    AttributeHandle attribute, ObjectClassHandle object_class)
 {
     M_Get_Attribute_Space_Handle req, rep;
 
@@ -2611,10 +2034,7 @@ RTI::SpaceHandle RTI::RTIambassador::getAttributeRoutingSpaceHandle(
 
 // ----------------------------------------------------------------------------
 // Get Object Class
-RTI::ObjectClassHandle RTI::RTIambassador::getObjectClass(ObjectHandle theObject) throw(RTI::RTIinternalError,
-                                                                                        RTI::ConcurrentAccessAttempted,
-                                                                                        RTI::FederateNotExecutionMember,
-                                                                                        RTI::ObjectNotKnown)
+RTI::ObjectClassHandle RTI::RTIambassador::getObjectClass(ObjectHandle theObject)
 {
     M_Get_Object_Class req, rep;
 
@@ -2628,11 +2048,7 @@ RTI::ObjectClassHandle RTI::RTIambassador::getObjectClass(ObjectHandle theObject
     \param inter The interaction handle
     \return The associated routing space
  */
-RTI::SpaceHandle RTI::RTIambassador::getInteractionRoutingSpaceHandle(InteractionClassHandle inter) throw(
-    RTI::InteractionClassNotDefined,
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::RTIinternalError)
+RTI::SpaceHandle RTI::RTIambassador::getInteractionRoutingSpaceHandle(InteractionClassHandle inter)
 {
     M_Get_Interaction_Space_Handle req, rep;
 
@@ -2643,8 +2059,7 @@ RTI::SpaceHandle RTI::RTIambassador::getInteractionRoutingSpaceHandle(Interactio
 
 // ----------------------------------------------------------------------------
 // Get Transportation Handle
-RTI::TransportationHandle RTI::RTIambassador::getTransportationHandle(const char* theName) throw(
-    RTI::RTIinternalError, RTI::ConcurrentAccessAttempted, RTI::FederateNotExecutionMember, RTI::NameNotFound)
+RTI::TransportationHandle RTI::RTIambassador::getTransportationHandle(const char* theName)
 {
     M_Get_Transportation_Handle req, rep;
 
@@ -2655,10 +2070,7 @@ RTI::TransportationHandle RTI::RTIambassador::getTransportationHandle(const char
 
 // ----------------------------------------------------------------------------
 // Get Transportation Name
-char* RTI::RTIambassador::getTransportationName(TransportationHandle theHandle) throw(RTI::RTIinternalError,
-                                                                                      RTI::ConcurrentAccessAttempted,
-                                                                                      RTI::FederateNotExecutionMember,
-                                                                                      RTI::InvalidTransportationHandle)
+char* RTI::RTIambassador::getTransportationName(TransportationHandle theHandle)
 {
     M_Get_Transportation_Name req, rep;
 
@@ -2669,10 +2081,7 @@ char* RTI::RTIambassador::getTransportationName(TransportationHandle theHandle)
 
 // ----------------------------------------------------------------------------
 // Get Ordering Handle
-RTI::OrderingHandle RTI::RTIambassador::getOrderingHandle(const char* theName) throw(RTI::RTIinternalError,
-                                                                                     RTI::ConcurrentAccessAttempted,
-                                                                                     RTI::FederateNotExecutionMember,
-                                                                                     RTI::NameNotFound)
+RTI::OrderingHandle RTI::RTIambassador::getOrderingHandle(const char* theName)
 {
     M_Get_Ordering_Handle req, rep;
 
@@ -2683,10 +2092,7 @@ RTI::OrderingHandle RTI::RTIambassador::getOrderingHandle(const char* theName) t
 
 // ----------------------------------------------------------------------------
 // Get Ordering Name
-char* RTI::RTIambassador::getOrderingName(OrderingHandle theHandle) throw(RTI::RTIinternalError,
-                                                                          RTI::ConcurrentAccessAttempted,
-                                                                          RTI::FederateNotExecutionMember,
-                                                                          RTI::InvalidOrderingHandle)
+char* RTI::RTIambassador::getOrderingName(OrderingHandle theHandle)
 {
     M_Get_Ordering_Name req, rep;
 
@@ -2695,87 +2101,55 @@ char* RTI::RTIambassador::getOrderingName(OrderingHandle theHandle) throw(RTI::R
     return hla_strdup(rep.getOrderingName());
 }
 
-void RTI::RTIambassador::enableClassRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                    RTI::RestoreInProgress,
-                                                                    RTI::SaveInProgress,
-                                                                    RTI::ConcurrentAccessAttempted,
-                                                                    RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::enableClassRelevanceAdvisorySwitch()
 {
     M_Enable_Class_Relevance_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
-void RTI::RTIambassador::disableClassRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                     RTI::RestoreInProgress,
-                                                                     RTI::SaveInProgress,
-                                                                     RTI::ConcurrentAccessAttempted,
-                                                                     RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::disableClassRelevanceAdvisorySwitch()
 {
     M_Disable_Class_Relevance_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::enableAttributeRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                        RTI::RestoreInProgress,
-                                                                        RTI::SaveInProgress,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::enableAttributeRelevanceAdvisorySwitch()
 {
     M_Enable_Attribute_Relevance_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::disableAttributeRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                         RTI::RestoreInProgress,
-                                                                         RTI::SaveInProgress,
-                                                                         RTI::ConcurrentAccessAttempted,
-                                                                         RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::disableAttributeRelevanceAdvisorySwitch()
 {
     M_Disable_Attribute_Relevance_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::enableAttributeScopeAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                    RTI::RestoreInProgress,
-                                                                    RTI::SaveInProgress,
-                                                                    RTI::ConcurrentAccessAttempted,
-                                                                    RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::enableAttributeScopeAdvisorySwitch()
 {
     M_Enable_Attribute_Scope_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::disableAttributeScopeAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                     RTI::RestoreInProgress,
-                                                                     RTI::SaveInProgress,
-                                                                     RTI::ConcurrentAccessAttempted,
-                                                                     RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::disableAttributeScopeAdvisorySwitch()
 {
     M_Disable_Attribute_Scope_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::enableInteractionRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                          RTI::RestoreInProgress,
-                                                                          RTI::SaveInProgress,
-                                                                          RTI::ConcurrentAccessAttempted,
-                                                                          RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::enableInteractionRelevanceAdvisorySwitch()
 {
     M_Enable_Interaction_Relevance_Advisory_Switch req, rep;
 
     privateRefs->executeService(&req, &rep);
 }
 
-void RTI::RTIambassador::disableInteractionRelevanceAdvisorySwitch() throw(RTI::RTIinternalError,
-                                                                           RTI::RestoreInProgress,
-                                                                           RTI::SaveInProgress,
-                                                                           RTI::ConcurrentAccessAttempted,
-                                                                           RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::disableInteractionRelevanceAdvisorySwitch()
 {
     M_Disable_Interaction_Relevance_Advisory_Switch req, rep;
 
diff --git a/libRTI/hla-1_3/RTIfedTime.cc b/libRTI/hla-1_3/RTIfedTime.cc
index 78f747a6..c6c92c4f 100644
--- a/libRTI/hla-1_3/RTIfedTime.cc
+++ b/libRTI/hla-1_3/RTIfedTime.cc
@@ -48,7 +48,7 @@ namespace {
 // ----------------------------------------------------------------------------
 /** FedTime to RTIfedTime reference cast
  */
-inline const RTIfedTime& rft(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+inline const RTIfedTime& rft(const RTI::FedTime& time)
 {
     try {
         return dynamic_cast<const RTIfedTime&>(time);
@@ -71,7 +71,7 @@ const char* infinity_str = "+inf";
 
 // ----------------------------------------------------------------------------
 // FedTimeFactory
-RTI::FedTime* RTI::FedTimeFactory::makeZero() throw(RTI::MemoryExhausted)
+RTI::FedTime* RTI::FedTimeFactory::makeZero()
 {
     try {
         return new RTIfedTime();
@@ -83,7 +83,7 @@ RTI::FedTime* RTI::FedTimeFactory::makeZero() throw(RTI::MemoryExhausted)
     }
 }
 
-RTI::FedTime* RTI::FedTimeFactory::decode(const char* buf) throw(RTI::MemoryExhausted)
+RTI::FedTime* RTI::FedTimeFactory::decode(const char* buf)
 {
     union ud {
         double dv;
@@ -225,21 +225,21 @@ void RTIfedTime::getPrintableString(char* str)
 }
 
 // ----------------------------------------------------------------------------
-RTI::FedTime& RTIfedTime::operator+=(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator+=(const RTI::FedTime& time)
 {
     _fedTime += rft(time)._fedTime;
     return *this;
 }
 
 // ----------------------------------------------------------------------------
-RTI::FedTime& RTIfedTime::operator-=(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator-=(const RTI::FedTime& time)
 {
     _fedTime -= rft(time)._fedTime;
     return *this;
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator<=(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator<=(const RTI::FedTime& time) const
 {
     if (const_cast<RTI::FedTime&>(time).isPositiveInfinity())
         return RTI::RTI_TRUE;
@@ -250,7 +250,7 @@ RTI::Boolean RTIfedTime::operator<=(const RTI::FedTime& time) const throw(RTI::I
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator<(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator<(const RTI::FedTime& time) const
 {
     if (is_infinity(*this))
         return RTI::RTI_FALSE;
@@ -259,7 +259,7 @@ RTI::Boolean RTIfedTime::operator<(const RTI::FedTime& time) const throw(RTI::In
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator>=(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator>=(const RTI::FedTime& time) const
 {
     if (is_infinity(*this))
         return RTI::RTI_TRUE;
@@ -270,7 +270,7 @@ RTI::Boolean RTIfedTime::operator>=(const RTI::FedTime& time) const throw(RTI::I
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator>(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator>(const RTI::FedTime& time) const
 {
     if (is_infinity(time))
         return RTI::RTI_FALSE;
@@ -279,7 +279,7 @@ RTI::Boolean RTIfedTime::operator>(const RTI::FedTime& time) const throw(RTI::In
 }
 
 // ----------------------------------------------------------------------------
-inline RTI::Boolean RTIfedTime::operator==(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+inline RTI::Boolean RTIfedTime::operator==(const RTI::FedTime& time) const
 {
     if (is_infinity(*this) && is_infinity(time))
         return RTI::RTI_TRUE;
@@ -290,7 +290,7 @@ inline RTI::Boolean RTIfedTime::operator==(const RTI::FedTime& time) const throw
 }
 
 // ----------------------------------------------------------------------------
-RTI::FedTime& RTIfedTime::operator=(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator=(const RTI::FedTime& time)
 {
     _fedTime = rft(time)._fedTime;
     return *this;
@@ -303,120 +303,120 @@ RTI::Double RTIfedTime::getTime() const
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator==(const RTI::Double& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator==(const RTI::Double& time) const
 {
     return RTI::Boolean(!is_infinity(*this) && certi::fcmp(_fedTime, time, _epsilon) == 0);
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator!=(const RTI::FedTime& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator!=(const RTI::FedTime& time) const
 {
     return RTI::Boolean(certi::fcmp(_fedTime, rft(time)._fedTime, _epsilon) != 0);
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTIfedTime::operator!=(const RTI::Double& time) const throw(RTI::InvalidFederationTime)
+RTI::Boolean RTIfedTime::operator!=(const RTI::Double& time) const
 {
     return RTI::Boolean(is_infinity(*this) || certi::fcmp(_fedTime, time, _epsilon) != 0);
 }
 
 // ----------------------------------------------------------------------------
-RTI::FedTime& RTIfedTime::operator=(const RTIfedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator=(const RTIfedTime& time)
 {
     _fedTime = time._fedTime;
     return *this;
 }
 
 // ----------------------------------------------------------------------------
-RTI::FedTime& RTIfedTime::operator=(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator=(const RTI::Double& time)
 {
     _fedTime = time;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator*=(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator*=(const RTI::FedTime& time)
 {
     _fedTime *= rft(time)._fedTime;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator/=(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator/=(const RTI::FedTime& time)
 {
     _fedTime /= rft(time)._fedTime;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator+=(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator+=(const RTI::Double& time)
 {
     _fedTime += time;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator-=(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator-=(const RTI::Double& time)
 {
     _fedTime -= time;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator*=(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator*=(const RTI::Double& time)
 {
     _fedTime *= time;
     return *this;
 }
 
-RTI::FedTime& RTIfedTime::operator/=(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTI::FedTime& RTIfedTime::operator/=(const RTI::Double& time)
 {
     _fedTime /= time;
     return *this;
 }
 
 // ----------------------------------------------------------------------------
-RTIfedTime RTIfedTime::operator+(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator+(const RTI::FedTime& time)
 {
     RTIfedTime fedtime = _fedTime + rft(time)._fedTime;
     return fedtime;
 }
 
-RTIfedTime RTIfedTime::operator+(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator+(const RTI::Double& time)
 {
     RTIfedTime fedtime = _fedTime + time;
     return fedtime;
 }
 
 // ----------------------------------------------------------------------------
-RTIfedTime RTIfedTime::operator-(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator-(const RTI::FedTime& time)
 {
     RTIfedTime fedtime = _fedTime - rft(time)._fedTime;
     return fedtime;
 }
 
-RTIfedTime RTIfedTime::operator-(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator-(const RTI::Double& time)
 {
     RTIfedTime fedtime = _fedTime - time;
     return fedtime;
 }
 
 // ----------------------------------------------------------------------------
-RTIfedTime RTIfedTime::operator*(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator*(const RTI::FedTime& time)
 {
     RTIfedTime fedtime = _fedTime * rft(time)._fedTime;
     return fedtime;
 }
 
-RTIfedTime RTIfedTime::operator*(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator*(const RTI::Double& time)
 {
     RTIfedTime fedtime = _fedTime * time;
     return fedtime;
 }
 
 // ----------------------------------------------------------------------------
-RTIfedTime RTIfedTime::operator/(const RTI::FedTime& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator/(const RTI::FedTime& time)
 {
     RTIfedTime fedtime = _fedTime / rft(time)._fedTime;
     return fedtime;
 }
 
-RTIfedTime RTIfedTime::operator/(const RTI::Double& time) throw(RTI::InvalidFederationTime)
+RTIfedTime RTIfedTime::operator/(const RTI::Double& time)
 {
     RTIfedTime fedtime = _fedTime / time;
     return fedtime;
